s = unquote('s')

// breakpoints
$breakpoints = {}
$breakpointsFromSettings = json('../settings.json', { hash: true }).breakpoints
$contentWidth = json('../settings.json', { hash: true }).contentWidth
$gap = json('../settings.json', { hash: true }).gap
$basePadding = json('../settings.json', { hash: true }).basePadding

for key, point in $breakpointsFromSettings
  $breakpoints[key] = (point)px

//media
media(val)
  @media (min-width $breakpoints[val])
    {block}

media-max(val)
  @media (max-width $breakpoints[val] - 1)
    {block}

media-interval(min = m, max = l)
  @media (min-width $breakpoints[min]px) and (max-width $breakpoints[max] - 1)
    {block}

hover()
  @media (hover: hover)
    &:hover
      {block}

// functions
padding-x(n)
  padding-right n
  padding-left n

padding-y(n)
  padding-top n
  padding-bottom n

margin-x(n)
  margin-right n
  margin-left n

margin-y(n)
  margin-top n
  margin-bottom n

before()
  &::before
    content ''
    {block}

after()
  &::after
    content ''
    {block}

backgroundImage($icon, $sprite = common)
  unquote('url(../images/' + $sprite + '.svg#' + $icon + ')')

backgroundSprite($icon, $sprite = common, $size = cover)
  background-image backgroundImage($icon, $sprite)
  background-repeat no-repeat
  background-position center
  background-size $size

maskImage($icon, $sprite = common)
  unquote('url(../images/' + $sprite + '.svg#' + $icon + ')')

mask($icon, $sprite = common)
  mask-image maskImage($icon, $sprite)
  mask-repeat no-repeat
  mask-position center
  mask-size cover
